首页 > 其他 > 详细

manage.py“Couldn't import Django”报错的问题解决

时间:2020-04-01 00:24:58      阅读:2283      评论:0      收藏:0      [点我收藏+]

标签:搜索   sta   rac   div   分享图片   exc   

问题分析:

在pyharm中项目可以正常运行但是在终端 终端输入python manage.py runserver首次测试项目时,出现了无法引用Django的错误。

 

Traceback (most recent call last):
  File "manage.py", line 8, in <module>
    from django.core.management import execute_from_command_line
ImportError: No module named django
 
During handling of the above exception, another exception occurred:
 
Traceback (most recent call last):
  File "manage.py", line 14, in <module>
    import django
ImportError: No module named django
 
During handling of the above exception, another exception occurred:
 
Traceback (most recent call last):
  File "manage.py", line 17, in <module>
    "Couldn‘t import Django. Are you sure it‘s installed and "
ImportError: Couldnt import Django. Are you sure its installed and available on 
your PYTHONPATH environment variable? Did you forget to activate a virtual environment?

可能出现的问题:

  • 有不同版本的Python,当前项目使用了没有安装Django的Python。
  • 创建的虚拟环境时,没有导入之前下载的包,导致在环境下搜索不到Django。
  • Django版本过低。

 

解决方案:

将pyharm文件夹下site-packages中所有的文件复制一份到python的Lib文件夹 虚拟环境中。

技术分享图片

 

 

 

技术分享图片

 

 

 然后就可以在终端跑起你的项目咯

技术分享图片

 

manage.py“Couldn't import Django”报错的问题解决

标签:搜索   sta   rac   div   分享图片   exc   

原文:https://www.cnblogs.com/Rivend/p/12609522.html

(0)
(0)
   
举报
评论 一句话评论(0
© 2014 bubuko.com 版权所有 鲁ICP备09046678号-4
打开技术之扣,分享程序人生!
             

鲁公网安备 37021202000002号